package com.ruoyi.tcZz.mapper;

import java.util.List;
import com.ruoyi.tcZz.domain.TcAqg;
import org.apache.ibatis.annotations.Param;

/**
 * 网络安全官Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface TcAqgMapper 
{
    /**
     * 查询网络安全官
     * 
     * @param id 网络安全官主键
     * @return 网络安全官
     */
    public TcAqg selectTcAqgById(Long id);

    /**
     * 查询网络安全官列表
     * 
     * @param tcAqg 网络安全官
     * @return 网络安全官集合
     */
    public List<TcAqg> selectTcAqgList(TcAqg tcAqg);

    /**
     * 新增网络安全官
     * 
     * @param tcAqg 网络安全官
     * @return 结果
     */
    public int insertTcAqg(TcAqg tcAqg);

    /**
     * 修改网络安全官
     * 
     * @param tcAqg 网络安全官
     * @return 结果
     */
    public int updateTcAqg(TcAqg tcAqg);

    /**
     * 删除网络安全官
     * 
     * @param id 网络安全官主键
     * @return 结果
     */
    public int deleteTcAqgById(Long id);

    /**
     * 批量删除网络安全官
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcAqgByIds(Long[] ids);



    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(@Param("isStatus") Integer isStatus,@Param("ids") List<String> ids);
}
